package com.qmth.cqb.paper.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.dao.AudioTimeConfigRepo;
import com.qmth.cqb.paper.model.AudioTimeConfig;
import com.qmth.cqb.paper.service.AudioTimeConfigService;

/**
 * @author  	chenken
 * @date    	2017年8月10日 下午3:16:12
 * @company 	QMTH
 * @description 音频次数设置service
 */
@Service("audioTimeConfigService")
public class AudioTimeConfigServiceImpl implements AudioTimeConfigService{

	@Autowired
	private AudioTimeConfigRepo audioTimeConfigRepo;
	
	@Override
	public void saveAudioTimeConfig(List<AudioTimeConfig> audioTimeConfigs,AccessUser user) {
		this.deleteByExamId(audioTimeConfigs.get(0).getExamId());
		
		for(AudioTimeConfig audioTimeConfig:audioTimeConfigs){
			audioTimeConfig.setCreateDate(new Date());
			audioTimeConfig.setCreateUser(user.getName());
		}
		audioTimeConfigRepo.save(audioTimeConfigs);
	}

	@Override
	public List<AudioTimeConfig> findByAudioTimeConfig(AudioTimeConfig audioTimeConfig) {
		return audioTimeConfigRepo.findAll(Example.of(audioTimeConfig));
	}

	@Override
	public void deleteByExamId(String examId) {
		audioTimeConfigRepo.deleteByExamId(examId);
	}

}

