package com.qmth.cqb.paper.web;

import io.swagger.annotations.ApiOperation;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import com.qmth.cqb.paper.model.AudioTimeConfig;
import com.qmth.cqb.paper.service.AudioTimeConfigService;

/**
 * @author  	chenken
 * @date    	2017年8月10日 下午3:31:42
 * @company 	QMTH
 * @description AudioTimeConfigController.java
 */
@Controller
@RequestMapping("${api_cqb}/")
public class AudioTimeConfigController {
	
	@Autowired
	private AudioTimeConfigService audioTimeConfigService;
	
	@ApiOperation(value = "根据examId查询音频设置 ", notes = "根据examId查询音频设置")
	@PostMapping(value = "/audioTimeConfig/{examId}")
	public ResponseEntity findAudioTimeConfig(@PathVariable String examId){
		AudioTimeConfig audioTimeConfig = new AudioTimeConfig();
		audioTimeConfig.setExamId(examId);
		List<AudioTimeConfig> audioTimeConfigs = audioTimeConfigService.findByAudioTimeConfig(audioTimeConfig);
		return new ResponseEntity(audioTimeConfigs,HttpStatus.OK);
	}
	
}

